unit EditMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, EnhEdit, ExtCtrls, Spin;

type
  TMainForm = class(TForm)
    EnhEdit: TEnhancedEdit;
    RGAlignment: TRadioGroup;
    SpinEditDigits: TSpinEdit;
    Label1: TLabel;
    EditValueInt: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    EditValue: TEdit;
    Label4: TLabel;
    CBEnabled: TCheckBox;
    CBGrayDisabled: TCheckBox;
    Label5: TLabel;
    ComboFormat: TComboBox;
    CBEnhAcceptChars: TCheckBox;
    procedure RGAlignmentClick(Sender: TObject);
    procedure EnhEditKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure SpinEditDigitsChange(Sender: TObject);
    procedure EditValueKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure EditValueIntKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure CBEnabledClick(Sender: TObject);
    procedure CBGrayDisabledClick(Sender: TObject);
    procedure ComboFormatChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure CBEnhAcceptCharsClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.EnhEditKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  try
    EditValue.Text:=FloatToStr(EnhEdit.Value);
    EditValueInt.Text:=IntToStr(EnhEdit.ValueInt);
  except
  end;
end;

procedure TMainForm.CBEnabledClick(Sender: TObject);
begin
  EnhEdit.Enabled:=CBEnabled.Checked;
end;

procedure TMainForm.CBGrayDisabledClick(Sender: TObject);
begin
  EnhEdit.GrayDisabled:=CBGrayDisabled.Checked;
end;

procedure TMainForm.CBEnhAcceptCharsClick(Sender: TObject);
begin
  EnhEdit.AcceptChars:=CBEnhAcceptChars.Checked;
end;

procedure TMainForm.RGAlignmentClick(Sender: TObject);
begin
  case RGAlignment.ItemIndex of
    0 : EnhEdit.Alignment:=taLeftJustify;
    1 : EnhEdit.Alignment:=taCenter;
    2 : EnhEdit.Alignment:=taRightJustify;
  end;
end;

procedure TMainForm.EditValueKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  try
    EnhEdit.Value:=StrToFloat(EditValue.Text);
    EditValueInt.Text:=IntToStr(EnhEdit.ValueInt);
  except
  end;
end;

procedure TMainForm.EditValueIntKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  try
    EnhEdit.ValueInt:=StrToInt(EditValueInt.Text);
    EditValue.Text:=FloatToStr(EnhEdit.Value);
  except
  end;
end;

procedure TMainForm.SpinEditDigitsChange(Sender: TObject);
begin
  EnhEdit.Digits:=SpinEditDigits.Value;
end;

procedure TMainForm.ComboFormatChange(Sender: TObject);
begin
  case ComboFormat.ItemIndex of
    0 : EnhEdit.Format:=ffCurrency;
    1 : EnhEdit.Format:=ffExponent;
    2 : EnhEdit.Format:=ffFixed;
    3 : EnhEdit.Format:=ffGeneral;
    4 : EnhEdit.Format:=ffNumber;
  end;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  ComboFormat.ItemIndex:=4;
end;

end.
